/*
 * @Description: 
 * @Date: 2021-03-09 10:22:15
 * @LastEditors: CK.Zh
 * @LastEditTime: 2021-03-09 10:26:05
 * @FilePath: \NaviKit_EC_stm32\App\Inc\isp.h
 */

#ifndef __ISP_H__
#define __ISP_H__

#include "main.h"


#define ISP_ADDRESS 					0x1fffb000    //In-System-Program address in flash
#define MAGIC_VALUE_ADDRESS 			RTC_BKP_DR1
#define MAGIC_VALUE 					0xa5a5			//jump to isp while ISP_BKP_DR's value equal this


void ISP_Jump();
void ISP_Judge();
bool ISP_Prepare();

#endif